[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'oldlinux' (#rtl)

# fdFlush

Flush kernel file buffer

## Declaration

Source position: oldlinux.pp line 1388

`function fdFlush(`
`fd: LongInt`
`):Boolean;`

## Description

fdflush flushes the Linux kernel file buffer, so the file is actually written to disk. This is NOT the same as the internal buffer, maintained by Free Pascal. The function returns True if the call was successful, false if an error occurred.

For an example, see fdRead.

## Errors

Errors are returned in LinuxError.

## See also

fdOpen |  | Open file and return file descriptor
fdClose |  | Close file descriptor
fdRead |  | Read data from file descriptor
fdWrite |  | Write data to file descriptor
fdTruncate |  | Truncate file on certain size.
fdSeek |  | Set file pointer position.

Documentation generated on: Feb 26 2014